# Class: forest

## LocusZoom_DataLayers~forest()

(extension) Forest Data Layer Implements a standard forest plot. In order to space out points, any layout using this must specify axis ticks and extent in advance.

If you are using dynamically fetched data, consider using `category_forest` instead.

## Constructor

#### new forest()

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`layout.point_size` | number | Array.<module:LocusZoom_DataLayers~ScalableParameter> | <optional> | 40 | The size (area) of the point for each datum
`layout.point_shape` | string | Array.<module:LocusZoom_DataLayers~ScalableParameter> | <optional> | 'square' | Shape of the point for each datum. Supported values map to the d3 SVG Symbol Types (i.e.: "circle", "cross", "diamond", "square", "triangle", "star", and "wye"), plus "triangledown".
`layout.color` | string | Array.<module:LocusZoom_DataLayers~ScalableParameter> | <optional> | '#888888' | The color of each point
`layout.fill_opacity` | number | Array.<module:LocusZoom_DataLayers~ScalableParameter> | <optional> | 1 | Opacity (0..1) for each datum point
`layout.x_axis.field` | string |  |  | A field specifying the x-coordinate of the mark (eg square)
`layout.y_axis.field` | string |  |  | A field specifying the y-coordinate. Use `category_forest` if you just want to lay out a series of forest markings in order without worrying about this.
`layout.confidence_intervals.start_field` |  | <optional> | 'ci_start' | The field that specifies the start of confidence interval
`layout.confidence_intervals.end_field` |  | <optional> | 'ci_end' | The field that specifies the start of confidence interval

Source:
  - ext/lz-forest-track.js, line 59
See:
  - module:LocusZoom_DataLayers~BaseDataLayer
  - module:ext/lz-forest-track for required extension and installation instructions

### Methods

#### render()

Source:
  - ext/lz-forest-track.js, line 94

##### Fires:

- event:element_clicked